#include "types.h"

#ifndef MIDI_H
#define MIDI_H

void midi_open(MidiDevice *device, const char *name);
void midi_write(MidiDevice device, unsigned char code, unsigned char value);
void *midi_background_listen(void *args);
void midi_close(MidiDevice *device);

#endif /* MIDI_H */
